GeoArray.Mutable (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Interface GeoArray.Mutable

All Superinterfaces:
  GeoArray

All Known Implementing Classes:
  GeoArray.Double, GeoArray.Float

Enclosing interface:
  GeoArray

    public static interface GeoArray.Mutable

extends GeoArray

A Mutable GeoArray is one where the points can be modified.

Author:
  dietrick

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoArray
`GeoArray.Adapter, GeoArray.Double, GeoArray.Float, GeoArray.Mutable`

Method Summary
`void` | `set(int i, double lat, double lon, boolean isDegrees)` Set the values for the provided index to the latitude, longitude.
`void` | `set(int i, double x, double y, double z)` Set the values for the provided index to the values x, y, z, which are vector Geo values, *not* lat, lon and height.
`void` | `set(int i, Geo g)` Set the values for the provided index to the values represented by g.

Methods inherited from interface com.bbn.openmap.geo.GeoArray
`area, closeArray, distance, equals, get, get, getSize, removeDups, toLLDegrees, toLLRadians, toPointArray`

Method Detail

### set

    void set(int i,
             Geo g)

  Set the values for the provided index to the values represented by g.

  Parameters:
    `i` -
    `g` -

### set

    void set(int i,
             double x,
             double y,
             double z)

  Set the values for the provided index to the values x, y, z, which are vector Geo values, *not* lat, lon and height.

  Parameters:
    `i` -
    `x` -
    `y` -
    `z` -

### set

    void set(int i,
             double lat,
             double lon,
             boolean isDegrees)

  Set the values for the provided index to the latitude, longitude.

  Parameters:
    `i` -
    `lat` -
    `lon` -
    `isDegrees` - true if lat/lon in decimal degrees.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details